
Figure - Bug #118458
【IOVDEV-32283】【内部】【VC1】【0100】【台架】【EE环境】【副屏】进入设置-壁纸选择壁纸时，副屏
提示“设置没有响应”
2023-06-02 10:30 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-06-02

Priority: High Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 副屏：01.00.0100.c103  中控：03.02.0086.C102

Resolution: FIXED Degrated: No

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version: 2023-06-02

Test Type: ST Root cause: 主线程壁纸设置等待超时导致。

Description

【环境信息】EE环境

【问题出现时间】：20230602  8点49分（ 第232次开机）

【前提条件】：车机上电（KL30ON ，KL15 ON，已连接中控和功放，可正常输出声音，无第三方应用，未开启开发者模式）monkey结

束运行，monkey测试时更换过壁纸

1.进入设置-壁纸-默认壁纸，选择第三个壁纸，点击“应用”

【实际结果】

点击“应用”无响应，之后副屏提示“设置没有响应”

【期望结果】

副屏正常设置壁纸。

【备注】：

车架号VIN：HRYTTESTVINMGM400

中控端log可从云端获取，

副屏log地址：https://ofs.human-horizons.com/#/download/index/2JUaPgUTUrY%3D

【影响版本】：副屏：01.00.0100.c103  中控：03.02.0086.C102

【硬件版本号】：/

【是否能恢复】：

History

#1 - 2023-06-02 10:31 - CDTS_Test 吴诗雨

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118458

#2 - 2023-06-02 17:57 - CD FW-廖涛

- % Done changed from 0 to 100

- Degrated changed from -- to No

- Root cause set to 主线程壁纸设置等待超时导致。
https://ofs.human-horizons.com/#/download/index/2JUaPgUTUrY%3D
ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118458


■ Current conclusion

已处理，代码已提交。

■ My analysis

解决方案：

将设置壁纸方法放到后台线程。

■ Next action

等待 Review 入库。

#3 - 2023-06-02 19:14 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

204377 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Fix anr problem when set wallpaper.TC-RID: 1201-0201813IssueID: TS-R-BUG-118458Change-Id: I394d80fff2f769f0b226f6621fe3301ef6fe8c84

#4 - 2023-06-02 19:23 - CD FW-廖涛

- Status changed from New to RESOLVED

- Assignee changed from CD FW-廖涛 to CDTS_Test 吴诗雨

- Resolution changed from -- to FIXED

- Fixed Version set to 2023-06-02

■ Current conclusion

已处理，代码已入库。

■ Next action

测试验证。

#5 - 2023-06-06 13:49 - SZTS_TEST 邹涛

- Status changed from RESOLVED to VERIFIED

在01.00.0108.C104版本验证通过

#6 - 2023-06-12 16:24 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED

Files

IOVDEV-32283.zip 5.03 MB 2023-06-02 CDTS_Test 吴诗雨
